/fal-ai/bytedance/seedream/v4/text-to-image
Official documentation: https://fal.ai/models/fal-ai/bytedance/seedream/v4/text-to-image
POST
/fal-ai/bytedance/seedream/v4/text-to-imageBody Parametersapplication/json
body object
Responses
200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"enable_safety_checker": true,
3"image_size": {
4"height": 1280,
5"width": 1280
6},
7"num_images": 1,
8"prompt": "Draw a chart showing the typical vegetation distribution in four different climate zones: tropical rainforest, temperate forest, desert, and tundra."
9}
1curl -X POST "https://api.digislash.com/fal-ai/bytedance/seedream/v4/text-to-image" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"enable_safety_checker": true,
6"image_size": {
7"height": 1280,
8"width": 1280
9},
10"num_images": 1,
11"prompt": "Draw a chart showing the typical vegetation distribution in four different climate zones: tropical rainforest, temperate forest, desert, and tundra."
12}'
1▼{
2"cancel_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/cancel",
3"logs": [],
4"metrics": {},
5"queue_position": 0,
6"request_id": "acf05732-7cb3-445b-9f39-fdaeccb1d730",
7"response_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730",
8"status": "IN_QUEUE",
9"status_url": "https://queue.fal.run/fal-ai/flux-pro/requests/acf05732-7cb3-445b-9f39-fdaeccb1d730/status"
10}
